Update safe sender settings (no credentials)
curl --request PATCH \
--url https://origami.chat/api/v3/account/senders/{sender_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "<string>",
"signature_html": "<string>",
"send_as_email": "jsmith@example.com",
"daily_limit": 500,
"timezone": "<string>",
"base_gap_minutes": 720,
"random_gap_minutes": 720
}
'import requests
url = "https://origami.chat/api/v3/account/senders/{sender_id}"
payload = {
"display_name": "<string>",
"signature_html": "<string>",
"send_as_email": "jsmith@example.com",
"daily_limit": 500,
"timezone": "<string>",
"base_gap_minutes": 720,
"random_gap_minutes": 720
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
display_name: '<string>',
signature_html: '<string>',
send_as_email: 'jsmith@example.com',
daily_limit: 500,
timezone: '<string>',
base_gap_minutes: 720,
random_gap_minutes: 720
})
};
fetch('https://origami.chat/api/v3/account/senders/{sender_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}{
"error": "<string>",
"code": "<string>",
"details": {},
"handoff": {
"kind": "connect-accounts",
"url": "<string>",
"label": "<string>"
}
}Senders
Update a sender
Update safe sender settings (no credentials)
PATCH
/
account
/
senders
/
{sender_id}
Update safe sender settings (no credentials)
Authorizations
API key: Authorization: Bearer og_live_...
Path Parameters
Body
application/json
Required string length:
1 - 120Maximum string length:
20000Required range:
1 <= x <= 1000Minimum string length:
1Required range:
0 <= x <= 1440Required range:
0 <= x <= 1440Response
Success
The response is of type object.